@if (projectDataMap$ | async; as projectDataMap) {
  <sqtm-core-customisable-dialog
    [titleKey]="data.titleKey"
    [dialogId]="data.id"
    (confirm)="confirmation()"
  >
    <sqtm-core-dialog-body>
      <div class="flex-column full-width full-height">
        @if (!data.writingRightOnLine || cantEditAllFields(projectDataMap)) {
          <div class="flex-row">
            <div class="flex" style="align-items: center">
              <i
                nz-icon
                class="sqtm-core-icon"
                nzType="info-circle"
                nzTheme="twotone"
                [nzTwotoneColor]="'#1890FF'"
              ></i>
            </div>
            <div class="flex-column">
              @if (!data.writingRightOnLine) {
                <div class="m-r-5 m-t-5 m-b-5 m-l-5">
                  <span [attr.data-test-dialog-message]="'no-writing-right'">{{
                    'sqtm-core.search.generic.modify.no-writing-rights'
                      | translate
                  }}</span>
                </div>
              }
              @if (cantEditAllFields(projectDataMap)) {
                <div class="m-r-5 m-t-5 m-b-5 m-l-5">
                  <span
                    [attr.data-test-dialog-message]="'different-info-lists'"
                    >{{
                      'sqtm-core.search.generic.modify.different-info-lists'
                        | translate
                    }}</span
                  >
                </div>
              }
            </div>
          </div>
        }
        <div class="grid-optionals">
          <sqtm-core-optional-select-field
            #importance
            [fieldName]="'importance'"
            [i18nKey]="'sqtm-core.entity.test-case.importance.label'"
            [selectedValue]="'LOW'"
            [select]="!importanceAutoCheck"
            [displayOptions]="getWeightValues()"
            [labelWidthRatio]="optionalLabelWidthRatio"
            (checkEvent)="importanceAutoDisable($event)"
          >
          </sqtm-core-optional-select-field>
          <label
            nz-checkbox
            [nzDisabled]="autoDisable"
            (nzCheckedChange)="changeImportanceAuto($event)"
            >auto</label
          >
          <sqtm-core-optional-select-field
            [fieldName]="'status'"
            [i18nKey]="'sqtm-core.entity.generic.status.label'"
            [selectedValue]="'WORK_IN_PROGRESS'"
            [displayOptions]="getStatusValues()"
            [labelWidthRatio]="optionalLabelWidthRatio"
          >
          </sqtm-core-optional-select-field>

          <sqtm-core-optional-select-field
            class="grid-column-start-1"
            [fieldName]="'type'"
            [i18nKey]="'sqtm-core.entity.test-case.type.label'"
            [selectedValue]="getDefaultType(projectDataMap)"
            [disable]="cantEditType(projectDataMap)"
            [displayOptions]="getTypeValues(projectDataMap)"
            [labelWidthRatio]="optionalLabelWidthRatio"
          >
          </sqtm-core-optional-select-field>

          <sqtm-core-optional-select-field
            class="grid-column-start-1"
            [fieldName]="'nature'"
            [i18nKey]="'sqtm-core.entity.test-case.nature.label'"
            [selectedValue]="getDefaultNature(projectDataMap)"
            [disable]="cantEditNature(projectDataMap)"
            [displayOptions]="getNatureValues(projectDataMap)"
            [labelWidthRatio]="optionalLabelWidthRatio"
          >
          </sqtm-core-optional-select-field>

          <sqtm-core-optional-select-field
            class="grid-column-start-1"
            [fieldName]="'automatable'"
            [attr.data-test-field-name]="'automatable'"
            [i18nKey]="'sqtm-core.entity.test-case.automatable.label.title'"
            [selectedValue]="'Y'"
            [disable]="cantEditAutomatable(projectDataMap)"
            [displayOptions]="getAutomatableValues()"
            [labelWidthRatio]="optionalLabelWidthRatio"
          >
          </sqtm-core-optional-select-field>

          <sqtm-core-optional-select-field
            class="grid-column-start-1"
            [fieldName]="'automatedTestTechnology'"
            [attr.data-test-field-name]="'automatedTestTechnology'"
            [i18nKey]="'sqtm-core.entity.test-case.automated-test-technology'"
            [selectedValue]="''"
            [disable]="this.data.selectedRowsOnlyExploratory"
            [displayOptions]="automatedTestTechnologyOptions"
            [labelWidthRatio]="optionalLabelWidthRatio"
          >
          </sqtm-core-optional-select-field>

          <sqtm-core-optional-select-field
            class="grid-column-start-1"
            [fieldName]="'scmRepository'"
            [attr.data-test-field-name]="'scmRepository'"
            [i18nKey]="
              'sqtm-core.test-case-workspace.automation.source-code-repository-url.label'
            "
            [selectedValue]="''"
            [displayOptions]="scmRepoUrlOptions"
            [disable]="
              scmRepoUrlOptions.length == 1 ||
              this.data.selectedRowsOnlyExploratory
            "
            [labelWidthRatio]="optionalLabelWidthRatio"
          >
          </sqtm-core-optional-select-field>
        </div>
      </div>
    </sqtm-core-dialog-body>
  </sqtm-core-customisable-dialog>
}
